org.baraza.server

## Class BServerTimed

- java.lang.Object
- - java.lang.Thread
  - - org.baraza.server.BServerTimed

- All Implemented Interfaces:
    Runnable

      public class BServerTimed
      extends Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BServerTimed(String configDir, BElement el, BLogHandle logHandle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `String` | `getType()`
    `void` | `run()`
    `void` | `sendMessage(String inputLine)`
    `String` | `sendMessage(String number, String message, String accesscode)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BServerTimed

          public BServerTimed(String configDir,
                      BElement el,
                      BLogHandle logHandle)

  - ### Method Detail

    - #### getType

          public String getType()

    - #### sendMessage

          public void sendMessage(String inputLine)

    - #### sendMessage

          public String sendMessage(String number,
                           String message,
                           String accesscode)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### close

          public void close()

Copyright © 2016 openBaraza. All Rights Reserved.